Last Comment Bug 323455 - chrome override URIs not resolved
: chrome override URIs not resolved
Status: RESOLVED FIXED
[need testcase]
: fixed1.8.1.5
Product: Toolkit
Classification: Components
Component: Startup and Profile System (show other bugs)
: unspecified
: x86 Linux
: -- normal (vote)
: ---
Assigned To: Christian Persch (GNOME) (away; not receiving bug mail)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-14 13:53 PST by Christian Persch (GNOME) (away; not receiving bug mail)
Modified: 2008-07-31 03:02 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (1.23 KB, patch)
2006-01-14 13:57 PST, Christian Persch (GNOME) (away; not receiving bug mail)
benjamin: first‑review+
dveditz: approval1.8.1.5+
Details | Diff | Splinter Review

Description Christian Persch (GNOME) (away; not receiving bug mail) 2006-01-14 13:53:51 PST
Following the chrome override example on http://developer.mozilla.org/en/docs/Chrome_Registration :

override chrome://global/content/netError.xhtml jar:embedder.jar!/global/content/netError.xhtml

it looks like one should be able to specify a .jar file that resides in the same directory as the .manifest file and have that work without specifying an absolute path to the jar file; but it does not work as expected, since the override URI isn't resolved against the manifest's URI.

Simple patch follows.
Comment 1 Christian Persch (GNOME) (away; not receiving bug mail) 2006-01-14 13:57:49 PST
Created attachment 208495 [details] [diff] [review]
fix

I'm not sure how review works in this module; I've picked you from looking at the cvs log of recent checkins to nsChromeRegistry.cpp.
Comment 2 Benjamin Smedberg [:bsmedberg] 2006-01-15 17:54:26 PST
Hrm, I didn't really intend for it to be used this way (I typically meant it to be used as

override chrome://foo/content/url chrome://extension/content/override-file

But I guess this usecase makes some sense.
Comment 3 Christian Persch (GNOME) (away; not receiving bug mail) 2006-01-17 15:38:52 PST
Do I need to request a second-review for the patch, or is first-review enough for checkin?
Comment 4 Phil Ringnalda (:philor) 2006-12-29 20:20:53 PST
No, per http://www.mozilla.org/projects/toolkit/review.html you only need second-review when your first-reviewer thinks you do, and asks for it.

So, how bit-rotten have you gotten over the course of the last year?
Comment 5 Christian Persch (GNOME) (away; not receiving bug mail) 2006-12-30 14:14:41 PST
The patch still applies cleanly:
patching file chrome/src/nsChromeRegistry.cpp
Hunk #1 succeeded at 2416 (offset 32 lines).
Comment 6 Phil Ringnalda (:philor) 2006-12-30 19:22:05 PST
chrome/src/nsChromeRegistry.cpp 1.349
Comment 7 :Gijs Kruitbosch (away 26-29 incl.) 2007-05-20 15:15:05 PDT
Comment on attachment 208495 [details] [diff] [review]
fix

As far as I can tell, this is pretty low-risk, and it'd probably help extension developers to have this actually work on branch also.
Comment 8 Daniel Veditz [:dveditz] 2007-06-25 11:13:54 PDT
Comment on attachment 208495 [details] [diff] [review]
fix

approved for 1.8.1.5, a=dveditz for release-drivers
Comment 9 Phil Ringnalda (:philor) 2007-06-30 12:40:25 PDT
chrome/src/nsChromeRegistry.cpp 1.338.2.5
Comment 10 Jay Patel [:jay] 2007-07-12 16:26:24 PDT
Christian:  Any chance you can quickly verify this works in the latest 1.8 (2.0.0.5pre) builds and replace the "fixed1.8.1.5" keyword with "verified1.8.1.5"?

Does anyone have a test case/extension that QA can use to verify this?
Comment 11 Christian Persch (GNOME) (away; not receiving bug mail) 2007-07-13 09:26:29 PDT
I ran into this problem in my embedding app (Epiphany), not in an extension. I don't have a 1.8 branch build, and the nightlies don't have the necessary stuff to build my app with it.

A testcase could be constructed with a file "myabout.xhtml" and the .manifest file in the same directory, containing:

override chrome://global/content/about.xhtml file:myabout.xhtml

and then visit the "about:" URL. Without the patch, you'll get a file-not-found error; with the patch you get shown your myabout.xhtml file.

Note You need to log in before you can comment on or make changes to this bug.